import { RegionRestriction } from "../../../interfaces/weather/regions/RegionRestriction";

export const inarikoSeasons: RegionRestriction[] = [
  {
    season: "Winter",
    temps: ["Frigid", "Freezing", "Cold", "Chilly", "Brisk"],
    wind: [
      "Calm",
      "Breeze",
      "Moderate",
      "Fresh",
      "Strong",
      "Gale",
      "Storm",
      "Hurricane",
    ],
    precipitation: [
      "Blizzard",
      "Cloudy",
      "Fog",
      "Hail",
      "Heavy Rain",
      "Heavy Snow",
      "Light Rain",
      "Light Snow",
      "Partly Cloudy",
      "Rain",
      "Sleet",
      "Snow",
      "Sunny",
      "Thundersnow",
      "Thunderstorm",
    ],
    special: ["Avalanche", "Meteor Shower", "Blight Rain"],
  },
  {
    season: "Spring",
    temps: ["Chilly", "Brisk", "Cool", "Mild", "Perfect", "Warm"],
    wind: [
      "Calm",
      "Breeze",
      "Moderate",
      "Fresh",
      "Strong",
      "Gale",
      "Storm",
      "Hurricane",
    ],
    precipitation: [
      "Cloudy",
      "Fog",
      "Hail",
      "Heavy Rain",
      "Light Rain",
      "Light Snow",
      "Partly Cloudy",
      "Rain",
      "Rainbow",
      "Sleet",
      "Snow",
      "Sun Shower",
      "Sunny",
      "Thunderstorm",
    ],
    special: [
      "Fairy Circle",
      "Flood",
      "Flower Bloom",
      "Jubilee",
      "Meteor Shower",
      "Blight Rain",
    ],
  },
  {
    season: "Summer",
    temps: ["Mild", "Perfect", "Warm", "Hot", "Scorching"],
    wind: [
      "Calm",
      "Breeze",
      "Moderate",
      "Fresh",
      "Strong",
      "Gale",
      "Storm",
      "Hurricane",
    ],
    precipitation: [
      "Cloudy",
      "Fog",
      "Hail",
      "Heat Lightning",
      "Heavy Rain",
      "Light Rain",
      "Partly Cloudy",
      "Rain",
      "Rainbow",
      "Sun Shower",
      "Sunny",
      "Thunderstorm",
    ],
    special: [
      "Fairy Circle",
      "Flood",
      "Flower Bloom",
      "Jubilee",
      "Meteor Shower",
      "Muggy",
      "Blight Rain",
    ],
  },
  {
    season: "Fall",
    temps: ["Cold", "Chilly", "Brisk", "Cool", "Mild", "Perfect"],
    wind: [
      "Calm",
      "Breeze",
      "Moderate",
      "Fresh",
      "Strong",
      "Gale",
      "Storm",
      "Hurricane",
    ],
    precipitation: [
      "Blizzard",
      "Cloudy",
      "Fog",
      "Hail",
      "Heat Lightning",
      "Heavy Rain",
      "Heavy Snow",
      "Light Rain",
      "Light Snow",
      "Partly Cloudy",
      "Rain",
      "Rainbow",
      "Sleet",
      "Snow",
      "Sunny",
      "Thundersnow",
      "Thunderstorm",
    ],
    special: [
      "Avalanche",
      "Fairy Circle",
      "Flood",
      "Flower Bloom",
      "Jubilee",
      "Meteor Shower",
      "Muggy",
      "Blight Rain",
    ],
  },
];
